#=============================================================
#                          Olympiad
#=============================================================
# Olympiad start time hour, default 18 (6PM).
AltOlyStartTime = 18

# Olympiad start time minutes, default 00.
AltOlyMin = 00

# Olympiad competition period, default 6 hours (should be changed by steps of 10mins).
AltOlyCPeriod = 21600000

# Olympiad battle period, default 6 minutes.
AltOlyBattle = 360000

# Olympiad weekly period, default 1 week.
AltOlyWPeriod = 604800000

# Olympiad validation period, default 24 hours.
AltOlyVPeriod = 86400000

# Time to wait before teleported to arena, default: 120 seconds.
AltOlyWaitTime = 120

# Rewarded points for the first Olympiad cycle, default: 18.
AltOlyStartPoints = 18

# Points allowed every week after first cycle, default: 3.
AltOlyWeeklyPoints = 3

# Required number of matches in order to be classed as hero, default: 9.
AltOlyMinMatchesToBeClassed = 9

# Required number of participants for the class based games, default: 5.
AltOlyClassedParticipants = 5

# Required number of participants for the non-class based games, default: 9.
AltOlyNonClassedParticipants = 9

# Reward for the class based games.
# Format: itemId1,itemNum1;itemId2,itemNum2...
# Default: 6651,50
AltOlyClassedReward = 6651,50

# Reward for the non-class based games.
# Format: itemId1,itemNum1;itemId2,itemNum2...
# Default: 6651,30
AltOlyNonClassedReward = 6651,30

# ItemId used for exchanging to the points, default: 6651.
AltOlyCompRewItem = 6651

# Rate to exchange points to reward item, default: 1000.
AltOlyGPPerPoint = 1000

# CRPs for heroes in clan, default: 300.
AltOlyHeroPoints = 300

# Noblesse points awarded to Rank 1 members, default: 100.
AltOlyRank1Points = 100

# Noblesse points awarded to Rank 2 members, default: 75.
AltOlyRank2Points = 75

# Noblesse points awarded to Rank 3 members, default: 55.
AltOlyRank3Points = 55

# Noblesse points awarded to Rank 4 members, default: 40.
AltOlyRank4Points = 40

# Noblesse points awarded to Rank 5 members, default: 30.
AltOlyRank5Points = 30

# Maximum points that player can gain/lose on a match, default: 10.
AltOlyMaxPoints = 10

# Olympiad Managers announce each start of fight, default: True.
AltOlyAnnounceGames = True

# Divider for points in classed and non-classed games, default: 3, 5.
AltOlyDividerClassed = 3
AltOlyDividerNonClassed = 5

#=============================================================
#                  Seven Signs && Festival
#=============================================================

# Determines whether castle ownership is determined by clan or by alliance.
# Default is by alliance, as on official servers.
AltRequireClanCastle = False

# Dawn:
# True - Players not owning castle need pay participation fee
# False - Anyone can join Dawn
AltCastleForDawn = True

# Dusk:
# True - Players owning castle can not join Dusk side
# False - Anyone can join Dusk
AltCastleForDusk = True

# Minimum Players for participate in SevenSigns Festival.
#   Default : 5
AltFestivalMinPlayer = 5

# Maximum contribution per player during festival
#   /!\ This value is NOT impacted by server drop rate. 
AltMaxPlayerContrib = 1000000

# Festival Manager Start time.
#   Default : 2 minutes
AltFestivalManagerStart = 120000

# Festival Length.
#   Default : 18 minutes
AltFestivalLength = 1080000

# Festival Cycle Length.
#   Default : 38 Minutes (20 minutes wait time, + Festival time) 
AltFestivalCycleLength = 2280000

# At what point the first festival spawn occures.
#   Default : 2 minutes
AltFestivalFirstSpawn = 120000

# At what Point the first festival swarm occures.
#   Default : 5 minutes
AltFestivalFirstSwarm = 300000

# At what Point the Second Festival spawn occures.
#   Default : 9 minutes
AltFestivalSecondSpawn = 540000

# At what Point the Second Festival Swarm occures.
#   Default : 12 minutes
AltFestivalSecondSwarm = 720000

# At what point the Chests Spawn in.
#   Default : 15 minutes
AltFestivalChestspawn = 900000

# Save SevenSigns status only each 30 mins and after period change.
# Player info saved only during periodic data store (set by CharacterDataStoreInterval) and logout.
# If False then save info and status immediately after every changes (heavy but accurate).
# Default: True
AltSevenSignsLazyUpdate = True

#=============================================================
#                       Four Sepulchers
#=============================================================

# Default: 50
TimeOfAttack = 50

# Default: 5
TimeOfCoolDown = 5

# Default: 3
TimeOfEntry = 3

# Default: 2
TimeOfWarmUp = 2

# Default: 4
NumberOfNecessaryPartyMembers = 4

#=============================================================
#                        Dimension Rift
#=============================================================
# Minimal party size to enter rift. Min = 2, Max = 9 (retail = 2).
# If in rift party will become smaller all members will be teleported back
RiftMinPartySize = 2

# Number of maximum jumps between rooms allowed, after this time party will be teleported back
MaxRiftJumps = 4

# Time in ms the party has to wait until the mobs spawn when entering a room. C4 retail: 10s
RiftSpawnDelay = 10000

# Time between automatic jumps in seconds (retail : 8min(480sec) - 10min(600sec))
AutoJumpsDelayMin = 480
AutoJumpsDelayMax = 600

# Time Multiplier for stay in the boss room
BossRoomTimeMultiply = 1.

# Cost in dimension fragments to enter the rift, each party member must own this amount
RecruitCost = 18
SoldierCost = 21
OfficerCost = 24
CaptainCost = 27
CommanderCost = 30
HeroCost = 33

#=============================================================
#                  Wedding System (by evill33t)                     
#=============================================================
# Wedding Manager: //spawn 50007
#-------------------------------------------------------------
# True allows Wedding, False disables it.
# The Wedding Manager is disabled until this setting is put to True.
AllowWedding = False

# Cost of wedding, price in adenas.
WeddingPrice = 1000000

# Homosexual marriages allowed, False by default.
WeddingAllowSameSex = False

# Do players require to wear formal wear ? True by default.
WeddingFormalWear = True

#=============================================================
#                         Lottery
#=============================================================
# Initial Lottery prize
AltLotteryPrize = 50000

# Lottery Ticket Price
AltLotteryTicketPrice = 2000

# What part of jackpot amount should receive characters who pick 5 wining numbers
AltLottery5NumberRate = 0.6

# What part of jackpot amount should receive characters who pick 4 wining numbers
AltLottery4NumberRate = 0.2

# What part of jackpot amount should receive characters who pick 3 wining numbers
AltLottery3NumberRate = 0.2

# How much adena receive characters who pick two or less of the winning number
AltLottery2and1NumberPrize = 200

#=============================================================
#                     Fishing Tournament
#=============================================================
# Enable or disable the Fishing Tournament system
AltFishChampionshipEnabled = True

# Item Id used as reward
AltFishChampionshipRewardItemId = 57

# Item count used as reward (for the 5 first winners)
AltFishChampionshipReward1 = 800000
AltFishChampionshipReward2 = 500000
AltFishChampionshipReward3 = 300000
AltFishChampionshipReward4 = 200000
AltFishChampionshipReward5 = 100000